Scriptname HydraQuestShotScript extends Quest  

import Utility

int Property LockOnNum Auto
int LockOnMaxNum

;Sound Property multiSoundCore  Auto

Spell Property HydraSpellLockOnFake  Auto

Spell Property HydraSpellMuzzleFire  Auto
Spell Property HydraSpellMuzzleFrost  Auto
Spell Property HydraSpellMuzzleShock  Auto

;MiscObject Property HydraShotToken  Auto  

Sound Property HydraFXFireShot  Auto
Sound Property HydraFXFrostShot  Auto
Sound Property HydraFXStormShot  Auto

GlobalVariable Property HydraSet  Auto
GlobalVariable Property HydraTrigger  Auto

Event onInit()                       ; This event will run once, when the script is initialized

	LockOnNum = 0
	LockOnMaxNum = 0

	RegisterForSingleUpdate(0.01)

endEvent

Event OnUpdate()

	Actor PlayerActor =  Game.GetPlayer()

	if HydraSet.getValue() != 0
		RegisterForAnimationEvent(PlayerActor, "BowDrawn")
		RegisterForAnimationEvent(PlayerActor, "BowRelease")
		RegisterForAnimationEvent(PlayerActor, "AttackStop")

		if HydraTrigger.getValue() == 1

			LockOnMaxNum =  4 * (PlayerActor.getav("marksman") as Int / 10)

			if LockOnMaxNum > 12
				LockOnMaxNum = 12
			endif

;			RegisterforCrosshairRef()
;			multiSoundCore.Play(PlayerActor)

			HydraTrigger.setValue(2)

		endif

		if HydraTrigger.getValue() == 2
			if  LockOnNum <= LockOnMaxNum
				HydraSpellLockOnFake.cast(PlayerActor)
				wait(0.1)
			endif
		endif

	endif

	RegisterForSingleUpdate(0.01)

endEvent

Event OnAnimationEvent(ObjectReference akSource, String asEventName)

	if HydraSet.getValue() != 0

		if asEventName == "BowDrawn"
			HydraTrigger.setValue(1)
			LockOnNum = 0
		endif

		if asEventName == "BowRelease" || asEventName == "AttackStop" && HydraTrigger.getValue()== 2

;			UnregisterforCrosshairRef()

			if LockOnNum > 0
				HydraTrigger.setValue(3)

				if HydraSet.getValue() == 1
					HydraSpellMuzzleFire.cast(akSource)
					HydraFXFireShot.play(akSource)
				elseif HydraSet.getValue() == 2
					HydraSpellMuzzleFrost.cast(akSource)
					HydraFXFrostShot.play(akSource)
				elseif HydraSet.getValue() == 3
					HydraSpellMuzzleShock.cast(akSource)
					HydraFXStormShot.play(akSource)
				endif
				LockOnNum = 0
			else
				HydraTrigger.setValue(0)
				LockOnNum = 0
			endif
		endif

	endif

endEvent

;Event OnCrosshairRefChange(ObjectReference ref)

;	if  LockOnNum <= LockOnMaxNum
;		If ref ;Used to determine if it's none or not.
;			if ref.GetItemCount(HydraShotToken) == 0
;				ref.AddItem(HydraShotToken,1,true)
;				LockOnNum += 1
;			EndIf
;		EndIf
;	EndIf

;EndEvent
